package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 dev_brand_quotation_process_item
 *
 * @author yinjinlu
 * @date 2024-01-25
 */
public class DvBrandQuotationProcessItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long brandQuotationProcessItemId;

    /** 品牌报价工序ID */
    @Excel(name = "品牌报价工序ID")
    private Long brandQuotationProcessId;

    /** 产品物料ID */
    @Excel(name = "产品物料ID")
    private Long itemId;

    /** 单位 */
    @Excel(name = "单位")
    private String unitOfMeasure;

    /** 组件数量 */
    @Excel(name = "组件数量")
    private Long quantity;

    public void setBrandQuotationProcessItemId(Long brandQuotationProcessItemId)
    {
        this.brandQuotationProcessItemId = brandQuotationProcessItemId;
    }

    public Long getBrandQuotationProcessItemId()
    {
        return brandQuotationProcessItemId;
    }
    public void setBrandQuotationProcessId(Long brandQuotationProcessId)
    {
        this.brandQuotationProcessId = brandQuotationProcessId;
    }

    public Long getBrandQuotationProcessId()
    {
        return brandQuotationProcessId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setUnitOfMeasure(String unitOfMeasure)
    {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getUnitOfMeasure()
    {
        return unitOfMeasure;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandQuotationProcessItemId", getBrandQuotationProcessItemId())
            .append("brandQuotationProcessId", getBrandQuotationProcessId())
            .append("itemId", getItemId())
            .append("unitOfMeasure", getUnitOfMeasure())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
